ListListingOwners
/api/v1/listings/{listing}/ownersFetch the set of users, groups, or teams who are owners of this listing, and can manage and approve access to this listing. Admins can also manage and approve listings without being listed as owners.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/listings/{listing}/owners"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/listings/{listing}/owners"Set OBLIQUE_API_KEY to your API key.
Path parameters
parentstringrequiredFormat:
listings/{listing}
Query parameters
pageSizeinteger (int32)The maximum number of owners to return. This service may return fewer than this value.
pageTokenstringA page token, received from a previous
ListListingOwnerscall.
Response
200ListListingOwnersResponselistingOwnersListingOwner[]namestringAssigned by Oblique. Name of the owner of the format
listings/{listing}/owners/{owner}.createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlyownerstringrequiredSet once, when the resource is created. The name of the owner. This can be a user, team, or group.
Format:
users/{user},teams/{team},groups/{group}managementManagementHow this ownership is managed. Inherited from the parent listing: owners of Terraform-managed listings are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent listing to change this. Omitted from responses when the parent listing is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
nextPageTokenstringA token, which can be sent as
page_tokento retrieve the next page.
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |